"use strict";

var GO_MonumentPlaque = function(engravingEvt){
	this.sprite = new Sprite(GO_MonumentPlaque.spriteSheet,"MonumentPlaque");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,10,31,31);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "MonumentPlaque";

	this._makeCheckable(engravingEvt);
};
GO_MonumentPlaque.spriteImg = SDS_Load_Image("art/sheets/sprite/monument_plaque.png");
GO_MonumentPlaque.spriteSheet = new TileSheet(5, 5, 0, 0, GO_MonumentPlaque.spriteImg);

GO_MonumentPlaque.prototype = new GameObject(
	new Sprite(
		GO_MonumentPlaque.spriteSheet,
		"MonumentPlaque"
	),
	"MonumentPlaque"
	);

	GO_MonumentPlaque.prototype.Update = function(){

	};
